## mypy 0.4

=== debian/changelog ===
mypy (0.4-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 06 May 2016 05:12:05 -0700

mypy (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #823512)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 05 May 2016 06:00:25 -0700

=== debian/watch ===
version=3

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mypy-lang/mypy-lang-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mypy 0.4.1

=== debian/changelog ===
mypy (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 10 May 2016 08:08:14 -0700

## mypy 0.812

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mypy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mypy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mypy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mypy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## mypy 0.4.2

=== debian/changelog ===
mypy (0.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 09 Jun 2016 14:14:11 -0700

=== debian/control ===
Source: mypy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               help2man
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mypy.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/mypy.git
Homepage: http://www.mypy-lang.org/
X-Python3-Version: >= 3.2

Package: mypy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Optional static typing for Python
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
export PYBUILD_NAME = mypy-lang
PPATH=$(CURDIR):$(CURDIR)/lib-typing/3.2
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(PPATH) help2man build/*/mypy --no-info \
		   --version-string="${VERSION}" \
		   --name 'Optional Static Typing for Python' > debian/mypy.1
	PYTHONPATH=$(PPATH) help2man build/*/stubgen --no-info \
		   --no-discard-stderr --version-string="${VERSION}" \
		   --name 'Generate draft stubs for Python modules.' > \
		   debian/stubgen.1

override_dh_auto_clean:
	rm -f debian/*.1
	dh_auto_clean

## mypy 0.4.3

=== debian/changelog ===
mypy (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * patch typeshed/tests/pytype_test.py to use python3

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 02 Aug 2016 07:34:58 -0700

mypy (0.4.2-2) unstable; urgency=medium

  * Update debian/copyrigh URL as excuse to rebuild package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 29 Jun 2016 08:35:10 -0700

## mypy 0.4.5

=== debian/changelog ===
mypy (0.4.5-1) unstable; urgency=medium

  * recommend python3-typed-ast for the fast parser
  * new upstream-release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 08 Oct 2016 02:12:32 -0700

mypy (0.4.4-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 26 Aug 2016 00:52:42 -0700

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: mypy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python3-typed-ast
 Description: Optional static typing for Python
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many

## mypy 0.4.6

=== debian/changelog ===
mypy (0.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2016 14:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
                python3-setuptools,

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mypy-lang/mypy-lang-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mypy 0.470

=== debian/changelog ===
mypy (0.470-1) unstable; urgency=medium

  * new upstream location
  * New upstream version 0.470

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Jan 2017 01:28:37 -0800

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/python/mypy/tags .*/v(\d\S+)\.tar\.gz

## mypy 0.470-complete

=== debian/changelog ===
mypy (0.470-complete-1) unstable; urgency=medium

  * Use complete upstream source from PyPI, not incomplete tarball from
    GitHub. (Closes: #852819)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Feb 2017 02:59:28 -0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-python,
                python3-all,
                python3-setuptools,
+               python3-typed-ast,
                help2man
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mypy.git

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,9 @@
 # DH_VERBOSE := 1
 DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
 VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
-export PYBUILD_NAME = mypy-lang
+export PYBUILD_NAME = mypy
 PPATH=$(CURDIR):$(CURDIR)/lib-typing/3.2
+#export PYBUILD_BEFORE_TEST=${interpreter} {dir}/runtests.py
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## mypy 0.511

=== debian/changelog ===
mypy (0.511-1ubuntu1) artful; urgency=medium

  * d/rules: fix manpage build when multiple versions of Python 3 are
    supported.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 26 Jun 2017 12:02:52 +1200

mypy (0.511-1) unstable; urgency=medium

  * Run the upstream tests
  * New upstream release
  * typed-ast is now a requirement, bump version req'd

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 24 Jun 2017 09:49:52 -0700

=== debian/control ===
Source: mypy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-typed-ast (>= 1.0.3),
               python3-pytest,
               python3-lxml,
               python3-pytest-xdist,
               python3-pytest-cov,
               flake8,
               help2man
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mypy.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/mypy.git
Homepage: http://www.mypy-lang.org/
X-Python3-Version: >= 3.2

Package: mypy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Optional static typing for Python
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export PYBUILD_NAME = mypy
export PYBUILD_DISABLE=test
PPATH=$(CURDIR)
PY3V=$(shell py3versions -dv)
include /usr/share/dpkg/pkg-info.mk
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(PPATH) help2man build/scripts-$(PY3V)/mypy --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --name 'Optional Static Typing for Python' > debian/mypy.1
	PYTHONPATH=$(PPATH) help2man build/scripts-$(PY3V)/stubgen --no-info \
		   --no-discard-stderr --version-string="${DEB_VERSION_UPSTREAM}" \
		   --name 'Generate draft stubs for Python modules.' > \
		   debian/stubgen.1

override_dh_auto_clean:
	rm -f scripts/myunit
	rm -f debian/*.1
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/python/mypy/releases .*/v(\d\S+)\.tar\.gz

## mypy 0.520

=== debian/changelog ===
mypy (0.520-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Jul 2017 07:34:50 -0700

mypy (0.511-2) unstable; urgency=high

  * Merge fix from Ubuntu / Michael Hudson-Doyle to prevent ftbfs when multiple
    python 3 versions are supported. (Closes: #865946)
  * Patch one of upstream's tests to use python3 explicitly

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Jul 2017 01:08:22 -0700

## mypy 0.521

=== debian/changelog ===
mypy (0.521-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Jul 2017 10:10:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mypy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
@@ -11,7 +10,6 @@
                python3-typed-ast (>= 1.0.3),
                python3-pytest,
                python3-lxml,
-               python3-pytest-xdist,
                python3-pytest-cov,
                flake8,
                help2man

=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,14 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(PPATH) help2man build/scripts-$(PY3V)/mypy --no-info \
+	PYTHONPATH=$(PPATH) help2man scripts/mypy --no-info \
 		   --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Optional Static Typing for Python' > debian/mypy.1
-	PYTHONPATH=$(PPATH) help2man build/scripts-$(PY3V)/stubgen --no-info \
+	PYTHONPATH=$(PPATH) help2man 'python${PY3V} scripts/stubgen' --no-info \
 		   --no-discard-stderr --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Generate draft stubs for Python modules.' > \
 		   debian/stubgen.1
 
 override_dh_auto_clean:
-	rm -f scripts/myunit
 	rm -f debian/*.1
 	dh_auto_clean

## mypy 0.560

=== debian/changelog ===
mypy (0.560-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #881604
  * Standards-Version: 4.1.2
  * New versioned Build-Depends: python3-psutil (>= 5.4.0)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:16:43 +0100

mypy (0.540-2) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Run cme fix on control file
    - Sort Build-Depends
    - Wrap and sort Depends
  * Run cme fix on copyright file
    - Use Expat instead of MIT
  * Move source package to utils section
  * Normalize the DH_VERBOSE preamble
  * Provide the documentation in mypy-doc
  * Provide the modules in python3-mypy (Closes: #879195)
  * Update copyright information.
    Thanks to Thorsten Alteholz for the review

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 28 Nov 2017 20:16:43 +0000

mypy (0.540-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 Oct 2017 10:40:39 -0700

mypy (0.530-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 07 Oct 2017 10:20:18 -0700

=== debian/control ===
Source: mypy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               flake8,
               help2man,
               python3-all,
               python3-lxml,
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-typed-ast (>= 1.1.0),
               python3-psutil (>= 5.4.0)
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mypy.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/mypy.git
Homepage: http://www.mypy-lang.org/
X-Python3-Version: >= 3.2

Package: mypy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-mypy
Suggests: mypy-doc
Description: optional static typing for Python
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the command-line interface.

Package: mypy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for mypy
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the documentation.

Package: python3-mypy
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Breaks: mypy (<< 0.540-2)
Replaces: mypy (<< 0.540-2)
Description: public modules for mypy (Python 3)
 Add type annotations to your Python programs, and use mypy to type check them.
 Mypy is essentially a Python linter on steroids, and it can catch many
 programming errors by analyzing your program, without actually having to run
 it. Mypy has a powerful type system with features such as type inference,
 gradual typing, generics and union types.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
 
-# DH_VERBOSE := 1
-export PYBUILD_NAME = mypy
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+export PYBUILD_NAME=mypy
+export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
+
 export PYBUILD_DISABLE=test
 PPATH=$(CURDIR)
 PY3V=$(shell py3versions -dv)
 include /usr/share/dpkg/pkg-info.mk
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,7 +22,13 @@
 		   --no-discard-stderr --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Generate draft stubs for Python modules.' > \
 		   debian/stubgen.1
+	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 
 override_dh_auto_clean:
 	rm -f debian/*.1
 	dh_auto_clean
+	$(MAKE) -C docs clean
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_movefiles --package=mypy --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

## mypy 0.600

=== debian/changelog ===
mypy (0.600-1) unstable; urgency=medium

  * New upstream release.
  * Add manpages for dmypy subcommands, as they are now officially in beta

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 06 May 2018 02:51:30 -0700

mypy (0.590-1) unstable; urgency=medium

  * Add basic autopkgtest and enable autopkgtest-pkg-python
  * Latest upstream.
  * Bump standards-version and update VCS fields to salsa

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Apr 2018 03:57:17 -0700

mypy (0.580-2) unstable; urgency=medium

  * Team upload
  * Depends: python3-pkg-resources
    Closes: #894075

 -- Andreas Tille <tille@debian.org>  Wed, 04 Apr 2018 13:41:34 +0200

mypy (0.580-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Add missing Depends: python3-distutils
    Closes: #894075
  * Docs moved to /usr/share/doc/mypy

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2018 13:20:59 +0200

mypy (0.570-1) unstable; urgency=medium

  * New upstream version.
  * Added manual page for dmypy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 10 Mar 2018 08:55:23 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: utils
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                flake8,
                help2man,
@@ -16,9 +17,9 @@
                python3-sphinx-rtd-theme,
                python3-typed-ast (>= 1.1.0),
                python3-psutil (>= 5.4.0)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mypy.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/mypy.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/mypy
+Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/
 X-Python3-Version: >= 3.2
 
@@ -56,7 +57,9 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-distutils,
+         python3-pkg-resources
 Breaks: mypy (<< 0.540-2)
 Replaces: mypy (<< 0.540-2)
 Description: public modules for mypy (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+SHELL=bash  # needed for the <(echo …) process subsitution temporary file
+# tricks with help2man
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -18,6 +20,46 @@
 	PYTHONPATH=$(PPATH) help2man scripts/mypy --no-info \
 		   --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Optional Static Typing for Python' > debian/mypy.1
+	PYTHONPATH=$(PPATH) help2man scripts/dmypy --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --name 'Client for mypy daemon mode' > debian/dmypy.1
+	sed -i '/\.\.\./d' debian/dmypy.1 # Delete the "..."
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy start' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_start \- Start a mypy daemon") \
+		   > debian/dmypy-start.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy restart' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_restart \- Restart a mypy daemon") \
+		   > debian/dmypy-restart.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy status' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_status \- Show a mypy daemon status") \
+		   > debian/dmypy-status.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy stop' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_stop \- Stop a mypy daemon") \
+		   > debian/dmypy-stop.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy kill' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_kill \- Kill a mypy daemon") \
+		   > debian/dmypy-kill.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy check' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_check \- Type check some Python files with a mypy daemon") \
+		   > debian/dmypy-check.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy recheck' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_recheck \- Type check the same files from the previous run") \
+		   > debian/dmypy-recheck.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy hang' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_hang \- Hang a mypy daemon, as a debug hack") \
+		   > debian/dmypy-hang.1
+	PYTHONPATH=$(PPATH) help2man 'scripts/dmypy daemon' --no-info \
+		   --version-string="${DEB_VERSION_UPSTREAM}" \
+		   --include <(echo -e "[NAME]\ndmypy_daemon \- Run a mypy daemon in the foreground") \
+		   > debian/dmypy-daemon.1
 	PYTHONPATH=$(PPATH) help2man 'python${PY3V} scripts/stubgen' --no-info \
 		   --no-discard-stderr --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Generate draft stubs for Python modules.' > \

## mypy 0.610

=== debian/changelog ===
mypy (0.610-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 11 Jun 2018 02:48:28 -0700

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/
-X-Python3-Version: >= 3.2
 
 Package: mypy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(PPATH) help2man scripts/mypy --no-info \
+	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy' --no-info \
 		   --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Optional Static Typing for Python' > debian/mypy.1
+	sed -i 's/python3 -m mypy/mypy/g' debian/mypy.1
+	sed -i 's/python3/mypy/g' debian/mypy.1
+	sed -i 's/PYTHON3/MYPY/g' debian/mypy.1
 	PYTHONPATH=$(PPATH) help2man scripts/dmypy --no-info \
 		   --version-string="${DEB_VERSION_UPSTREAM}" \
 		   --name 'Client for mypy daemon mode' > debian/dmypy.1

## mypy 0.620

=== debian/changelog ===
mypy (0.620-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Aug 2018 11:09:09 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-sphinx-rtd-theme,
                python3-typed-ast (>= 1.1.0),
                python3-psutil (>= 5.4.0)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 SHELL=bash  # needed for the <(echo …) process subsitution temporary file
 # tricks with help2man
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 export PYBUILD_NAME=mypy
 export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)

## mypy 0.641

=== debian/changelog ===
mypy (0.641-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 16 Oct 2018 07:19:06 -0700

mypy (0.630-2) unstable; urgency=medium

  * Fix the version of mypy_extension. Closes: #909070, #909068

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 18 Sep 2018 11:38:12 -0700

mypy (0.630-1) unstable; urgency=medium

  * New upstream release.
  * Include mypy_extensions.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Sep 2018 11:05:13 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-sphinx-rtd-theme,
                python3-typed-ast (>= 1.1.0),
                python3-psutil (>= 5.4.0)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,26 @@
 #!/usr/bin/make -f
 SHELL=bash  # needed for the <(echo …) process subsitution temporary file
 # tricks with help2man
-
-export PYBUILD_NAME=mypy
-export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
-
+export DH_VERBOSE=1
 export PYBUILD_DISABLE=test
-PPATH=$(CURDIR)
+export PYBUILD_DESTDIR_python3=debian/python3-mypy
+PPATH=$(CURDIR):$(CURDIR)/extensions
 PY3V=$(shell py3versions -dv)
 include /usr/share/dpkg/pkg-info.mk
 %:
+	PYBUILD_NAME=mypy_extensions \
+	PYBUILD_DIR=$(CURDIR)/extensions/ \
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	PYBUILD_NAME=mypy \
+	PYBUILD_DIR=$(CURDIR) \
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
+	PYBUILD_NAME=mypy_extensions \
+	PYBUILD_DIR=$(CURDIR)/extensions/ \
+	dh_auto_build
+	PYBUILD_NAME=mypy \
+	PYBUILD_DIR=$(CURDIR) \
 	dh_auto_build
 	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy' --no-info \
 		   --version-string="${DEB_VERSION_UPSTREAM}" \
@@ -72,5 +80,10 @@
 	$(MAKE) -C docs clean
 
 override_dh_auto_install:
+	PYBUILD_NAME=mypy_extensions \
+	PYBUILD_DIR=$(CURDIR)/extensions/ \
 	dh_auto_install
-	dh_movefiles --package=mypy --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
+	PYBUILD_NAME=mypy \
+	PYBUILD_DIR=$(CURDIR) \
+	dh_auto_install
+	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin

## mypy 0.670

=== debian/changelog ===
mypy (0.670-2) unstable; urgency=medium

  * Include upstream's README.md in the the mypy binary package.
  * Fix dependecy version between mypy and python3-mypy. Closes: #921990.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 Feb 2019 00:25:00 -0800

mypy (0.670-1) unstable; urgency=medium

  * New upstream version
  * debian/control: bump and tighten the python3-typed-ast dependency
  * debian/clean: a few more directories of post build cruft

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 Feb 2019 00:19:11 -0800

mypy (0.660-5) unstable; urgency=medium

  * Reporting needs python3-lxml.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 25 Jan 2019 10:13:54 -0800

mypy (0.660-4) unstable; urgency=medium

  * Fix the autopkgtests. Closes: #920048

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 24 Jan 2019 14:56:34 -0800

mypy (0.660-3) unstable; urgency=medium

  * Team upload.
  * Fix spelling of dependency
    Closes: #920325
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 09:55:27 +0100

mypy (0.660-2) unstable; urgency=medium

  * Make explicit the dependencies of python3-mypy; add "Breaks" for older
    cwltool releases.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 22 Jan 2019 15:53:22 -0800

mypy (0.660-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0, no changes needed
  * Ignore changes to ./*egg-info via debian/source/options
  * Run the provided tests during build and as an autopkgtest
  * python3-mypy-extensions is now from a separate source package
  * Support the nocheck and/or nodoc Build Profiles

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 19 Jan 2019 06:41:40 -0800

mypy (0.650-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 10 Dec 2018 20:28:20 -0800

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
 Section: utils
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                flake8,
                help2man,
                python3-all,
                python3-lxml,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-pytest-xdist <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-typed-ast (>= 1.1.0),
-               python3-psutil (>= 5.4.0)
-Standards-Version: 4.2.1
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-typed-ast (>= 1.3.1), python3-typed-ast (<< 1.4.0),
+               python3-psutil (>= 5.4.0),
+	       python3-mypy-extensions,
+	       python3-virtualenv <!nocheck>
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/
@@ -26,7 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-mypy
+         python3-mypy (= ${binary:Version})
 Suggests: mypy-doc
 Description: optional static typing for Python
  Add type annotations to your Python programs, and use mypy to type check them.
@@ -43,6 +45,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Build-Profiles: <!nodoc>
 Description: documentation for mypy
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many
@@ -57,9 +60,13 @@
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
+	 python3-typed-ast,
+	 python3-mypy-extensions,
+	 python3-psutil,
          python3-distutils,
          python3-pkg-resources
-Breaks: mypy (<< 0.540-2)
+Recommends: python3-lxml
+Breaks: mypy (<< 0.540-2), cwltool (<< 1.0.20181217162649+dfsg-9)
 Replaces: mypy (<< 0.540-2)
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.

=== debian/rules ===
#!/usr/bin/make -f
SHELL=bash  # needed for the <(echo …) process subsitution temporary file
# tricks with help2man
export DH_VERBOSE=1
export PYBUILD_DESTDIR_python3=debian/python3-mypy
export PYBUILD_NAME=mypy
PPATH=$(CURDIR)
PY3V=$(shell py3versions -dv)
include /usr/share/dpkg/pkg-info.mk
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	WITH += ,sphinxdoc
endif

%:
	dh $@ --with python3$(WITH) --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --name 'Optional Static Typing for Python' > debian/mypy.1
	sed -i 's/python3 -m mypy/mypy/g' debian/mypy.1
	sed -i 's/python3/mypy/g' debian/mypy.1
	sed -i 's/PYTHON3/MYPY/g' debian/mypy.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmymy \- Client for mypy daemon mode") \
		   > debian/dmypy.1
	sed -i '/\.\.\./d' debian/dmypy.1 # Delete the "..."
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy start' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_start \- Start a mypy daemon") \
		   > debian/dmypy-start.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy restart' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_restart \- Restart a mypy daemon") \
		   > debian/dmypy-restart.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy status' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_status \- Show a mypy daemon status") \
		   > debian/dmypy-status.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy stop' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_stop \- Stop a mypy daemon") \
		   > debian/dmypy-stop.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy kill' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_kill \- Kill a mypy daemon") \
		   > debian/dmypy-kill.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy check' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_check \- Type check some Python files with a mypy daemon") \
		   > debian/dmypy-check.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy recheck' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_recheck \- Type check the same files from the previous run") \
		   > debian/dmypy-recheck.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy hang' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_hang \- Hang a mypy daemon, as a debug hack") \
		   > debian/dmypy-hang.1
	PYTHONPATH=$(PPATH) help2man 'python3 -m mypy.dmypy daemon' --no-info \
		   --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\ndmypy_daemon \- Run a mypy daemon in the foreground") \
		   > debian/dmypy-daemon.1
	PYTHONPATH=$(PPATH) help2man 'python${PY3V} -m mypy.stubgen' --no-info \
		   --no-discard-stderr --version-string="${DEB_VERSION_UPSTREAM}" \
		   --include <(echo -e "[NAME]\nstubgen \- Generate draft stubs for Python modules.") \
		   > debian/stubgen.1
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_clean:
	rm -f debian/*.1
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m mypy \
		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
	dh_auto_install
	PATH=$$PATH:$(CURDIR)/debian/mypy/usr/bin/ pytest-3 -n auto \
	     -o testpaths=mypy/test -o python_files=test*.py \
	     -o python_classes= -o python_functions=
endif

## mypy 0.720

=== debian/changelog ===
mypy (0.720-3) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.
  * Pluck patch from upstream to cope with changes to lxml. Closes: #939045

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 02 Sep 2019 17:10:54 +0900

mypy (0.720-2) unstable; urgency=medium

  * Fix AutoPkgTest path

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 30 Jul 2019 19:47:02 +0200

mypy (0.720-1) unstable; urgency=medium

  * New upstream release. Closes: #930928.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 13 Jul 2019 12:09:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: utils
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                flake8,
                help2man,
@@ -15,11 +15,13 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-typed-ast (>= 1.3.1), python3-typed-ast (<< 1.4.0),
+               python3-typed-ast (>= 1.4.0),
+               python3-typed-ast (<< 1.5.0),
                python3-psutil (>= 5.4.0),
-	       python3-mypy-extensions,
-	       python3-virtualenv <!nocheck>
-Standards-Version: 4.3.0
+               python3-mypy-extensions,
+               python3-typing-extensions,
+               python3-virtualenv <!nocheck>
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/mypy
 Vcs-Git: https://salsa.debian.org/med-team/mypy.git
 Homepage: http://www.mypy-lang.org/
@@ -45,7 +47,6 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
-Build-Profiles: <!nodoc>
 Description: documentation for mypy
  Add type annotations to your Python programs, and use mypy to type check them.
  Mypy is essentially a Python linter on steroids, and it can catch many
@@ -54,19 +55,21 @@
  gradual typing, generics and union types.
  .
  This package provides the documentation.
+Build-Profiles: <!nodoc>
 
 Package: python3-mypy
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
-	 python3-typed-ast,
-	 python3-mypy-extensions,
-	 python3-psutil,
+         python3-typed-ast,
+         python3-mypy-extensions,
+         python3-psutil,
          python3-distutils,
          python3-pkg-resources
 Recommends: python3-lxml
-Breaks: mypy (<< 0.540-2), cwltool (<< 1.0.20181217162649+dfsg-9)
+Breaks: mypy (<< 0.540-2),
+        cwltool (<< 1.0.20181217162649+dfsg-9)
 Replaces: mypy (<< 0.540-2)
 Description: public modules for mypy (Python 3)
  Add type annotations to your Python programs, and use mypy to type check them.

## mypy 0.740

=== debian/changelog ===
mypy (0.740-5) unstable; urgency=medium

  * Some armhf builders have enough memeory for -O2 (arm-arm-01) but others
    don't (arm-ubc-*), drop armhf to -O1
  * mips64el and mipsel are still failing, sending them to the -O0 tier

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 29 Oct 2019 14:02:38 +0100

mypy (0.740-4) unstable; urgency=medium

  * Poor mipsel & mipsel64, can't handle -O2 either. PowerPC and ia64 both have
    "Error: operand out of  range" errors, so drop each of them another -O level
    to see if that helps at all. SH4 still is OOM at -O1, drop to -O0.
  * typo fix: risc64 → riscv64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 25 Oct 2019 18:26:10 +0200

mypy (0.740-3) unstable; urgency=medium

  * Further lower package build time optimization for armhf, armel, mips64el,
    mipsel, alpha, m68k, powerpc, risc64, and sh4
  * Increased the build verbosity

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 24 Oct 2019 21:27:32 +0200

mypy (0.740-2) unstable; urgency=medium

  * Incorporate high quality hand written manual pages courtesy of
    Andrej Shadura <andrew.shadura@collabora.co.uk>
  * Reduce optimization level during the build for the armel, alpha, m68k,
    powerpc, and sh4 archs
  * Added missing importlib-metadata build-dep for pytest on some archs where
    this isn't happening automatically: ppc64 riscv64 x32
  * /usr/bin/{mypy,dmypy,stubgen} was accidentally included in python3-mypy when
    build standalone. Fixed this and added a breaks & replaces on the older
    version. Closes: #943357

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 24 Oct 2019 16:49:06 +0200

mypy (0.740-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Build mypy binaries using mypyc.
  * Fix typos in upstream sources

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 23 Oct 2019 18:44:56 +0200

mypy (0.730-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 05 Oct 2019 15:38:41 +0200

=== debian/rules ===
#!/usr/bin/make -f
SHELL=bash  # needed for the <(echo …) process subsitution temporary file
# tricks with help2man
export DH_VERBOSE=1
export PYBUILD_DESTDIR_python3=debian/python3-mypy
export PYBUILD_NAME=mypy
PPATH=$(CURDIR)
PY3V=$(shell py3versions -dv)

include /usr/share/dpkg/pkg-info.mk
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	WITH += ,sphinxdoc
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
ifneq (,$(filter $(DEB_HOST_ARCH),riscv64))
  export MYPYC_OPT_LEVEL=2
else ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf alpha ia64 m68k))
  export MYPYC_OPT_LEVEL=1
else ifneq (,$(filter $(DEB_HOST_ARCH),mips64el mipsel powerpc sh4))
  export MYPYC_OPT_LEVEL=0
endif

%:
	dh $@ --with python3$(WITH) --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
manpages: debian/dmypy.1 debian/mypy.1 debian/stubgen.1
else
manpages:
endif

debian/%.1: debian/%.rst debian/%_options.rst
	rst2man $< > $@

# create an empty file to simplify the makefile logic
debian/dmypy_options.rst:
	touch $@

debian/mypy_options.rst: docs/source/command_line.rst
	sed 's,The .* command line,OPTIONS,g' $< > $@

debian/stubgen_options.rst: docs/source/stubgen.rst
	sed -n -e '/stubgen --help/,$$ {/stubgen --help/d; p}' $< > $@

override_dh_auto_build: manpages
	export MYPY_USE_MYPYC=1; dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=mypy --sourcedir=debian/python3-mypy usr/bin
	rm -Rf debian/python3-mypy/usr/bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	export TEST_MYPYC=1
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m mypy \
		--config-file {dir}/mypy_self_check.ini -p mypy" dh_auto_test
	dh_auto_install
	PATH=$$PATH:$(CURDIR)/debian/mypy/usr/bin/ pytest-3 -n auto \
	     -o testpaths=mypy/test -o python_files=test*.py \
	     -o python_classes= -o python_functions=
endif

.PHONY: manpages
